FAQ Search Today's Posts Mark Forums Read
» Video Reviews

» Linux Archive

Linux-archive is a website aiming to archive linux email lists and to make them easily accessible for linux users/developers.


» Sponsor

» Partners

» Sponsor

Go Back   Linux Archive > Gentoo > Gentoo User

 
 
LinkBack Thread Tools
 
Old 08-20-2010, 07:35 AM
Helmut Jarausch
 
Default CANNOT IMPORT HTTP.CLIENT

Hi,

today, when emerging dev-libs/openssl-0.9.8o-r2, which is needed for
nxssh, I've got the message
!!! CANNOT IMPORT HTTP.CLIENT: cannot import name HTTPSConnection

Does anybody have an idea what that means?

Thanks for a hint,
Helmut.
 
Old 08-20-2010, 09:02 AM
Helmut Jarausch
 
Default CANNOT IMPORT HTTP.CLIENT

On 08/20/10 09:35:06, Helmut Jarausch wrote:
> Hi,
>
> today, when emerging dev-libs/openssl-0.9.8o-r2, which is needed for
> nxssh, I've got the message
> !!! CANNOT IMPORT HTTP.CLIENT: cannot import name HTTPSConnection
>
> Does anybody have an idea what that means?
>
> Thanks for a hint,
> Helmut.

It seems something is broken in Python and or bzr, e.g.
in an overlay build for cuneiform I get


>>> Unpacking source...
* bzr update start -->
* repository: lp:cuneiform-linux
bzr: ERROR: exceptions.AttributeError: 'module' object has no attribute
'HTTPSConnection'

Re-emering dev-vcs/bzr didn't help.

Thanks for any hint,
Helmut.
 
Old 08-20-2010, 01:43 PM
walt
 
Default CANNOT IMPORT HTTP.CLIENT

On 08/20/2010 12:35 AM, Helmut Jarausch wrote:

Hi,

today, when emerging dev-libs/openssl-0.9.8o-r2, which is needed for
nxssh, I've got the message
!!! CANNOT IMPORT HTTP.CLIENT: cannot import name HTTPSConnection


The class HTTPSConnection is defined in httplib.py, which is part of python
itself. I wonder if your python is installed with the ssl useflag set?

Are you using python2 and python3 on the same machine, maybe?
 
Old 08-20-2010, 03:57 PM
Helmut Jarausch
 
Default CANNOT IMPORT HTTP.CLIENT

On 08/20/10 15:43:20, walt wrote:
> On 08/20/2010 12:35 AM, Helmut Jarausch wrote:
> > Hi,
> >
> > today, when emerging dev-libs/openssl-0.9.8o-r2, which is needed
> for
> > nxssh, I've got the message
> > !!! CANNOT IMPORT HTTP.CLIENT: cannot import name HTTPSConnection
>
> The class HTTPSConnection is defined in httplib.py, which is part of
Thanks, it turned out to be an openssl problem introduced by the recent
dev-libs/openss-1.0.0a-r2 which disables ssl support in Python itself.

Helmut.
 

Thread Tools




All times are GMT. The time now is 05:06 PM.

VBulletin, Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Content Relevant URLs by vBSEO ©2007, Crawlability, Inc.
Copyright 2007 - 2008, www.linux-archive.org